const WorkItem_Config = {
    "roles": [
        {
            "name": "ApplicationReviewer",
            "title": "Application Reviewer",
            "path": "/mohuser/service/applicationList"
        },
        {
            "name": "RegionalDirector",
            "title": "Regional Director",
            "path": "/mohuser/service/director/workItemApplicationList"
        },
        {
            "name": "SectionManager",
            "title": "Section Manager",
            "path": "/mohuser/service/manager/workOrderDetails"
        },
        {
            "name": "SectionEmployee",
            "title": "Section Employee",
            "path": "/mohuser/service/landDrawApplicationList"
        }
    ],
    "routingConfiguration": [
        {
            "key": "LN1-LN1A-Citizen-UpdateApplication",
            "path": "/e-service/land/ln1a/workitem-application"
        },
        {
            "key": "LN1-LN1A-Citizens-CitizenAutoLottery",
            "params": "DrawID,ApplicationID",
            "path": "/land-draw"
        },
        {
            "key": "LN1-LN1B-Citizens-CitizenAutoLottery",
            "params": "DrawID,ApplicationID",
            "path": "/land-draw"
        },
        {
            "key": "LN1-LN1B-Partners-PartnerApproval",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1B-Citizen-ServicePayment",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1B-Citizen-UpdateApplication",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1C-Partners-PartnerApproval",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1C-Citizen-ServicePayment",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1C-Citizen-UpdateApplication",
            "path": "/e-service/land/ln1b/re-submit-application"
        },
        {
            "key": "LN1-LN1C-Citizens-CitizenAutoLottery",
            "params": "DrawID,ApplicationID",
            "path": "/land-draw"
        },
        {
            "key": "LN1-LN1A-Citizen-ServicePayment",
            "path": "/e-service/land/ln1a/workitem-application"
        },
        {
            "key": "RN1||RN1A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1A-ApplicationProcess||Applicant||ServicePayment-IssuingOwnershipStatement",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1B-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1B-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1B-ApplicationProcess||Applicant||ServicePayment-IssuingOwnershipStatement",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1C-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1C-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1C-ApplicationProcess||Applicant||ServicePayment-IssuingOwnershipStatement",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1D-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1D-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1D-ApplicationProcess||Applicant||ServicePayment-IssuingOwnershipStatement",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1E-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1E-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },
        {
            "key": "RN1||RN1E-ApplicationProcess||Applicant||ServicePayment-IssuingOwnershipStatement",
            "path": "/e-service/real-estate/review-reownership/workitem-application-view"
        },

        {
            "key": "RN2||RN2A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/freezing-real-estate/workitem-application-request"
        },
        {
            "key": "RN2||RN2A-ApplicationProcess||Applicant||ServicePayment-FreezeLand",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-second-payment-preview"
        },
        {
            "key": "RN2||RN2A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-resubmit"
        },
        {
            "key": "RN2||RN2B-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/freezing-real-estate/workitem-mohuser-application-request"
        },
        {
            "key": "RN2||RN2A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/freezing-real-estate/owner-approve-reject"
        },		
		{
            "key": "RN2||RN2B-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/freezing-real-estate/owner-approve-reject"
        },
        {
            "key": "RN3||RN3A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/freezing-real-estate/owner-approve-reject"
        },
        {
            "key": "RN3||RN3B-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/freezing-real-estate/owner-approve-reject"
        },
        {
            "key": "RN3||RN3A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/freezing-real-estate/workitem-application-request"
        },
        {
            "key": "RN3||RN3A-ApplicationProcess||Applicant||ServicePayment-UnfreezeLand",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-second-payment-preview"
        },
        {
            "key": "RN3||RN3A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-resubmit"
        },
        {
            "key": "RN3||RN3B-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/freezing-real-estate/workitem-mohuser-application-request"
        },
        {
            "key": "RN3||RN3B-ApplicationProcess||Citizen||ServicePayment-UnfreezeLand",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-second-payment-preview"
        },
        {
            "key": "RN3||RN3C-ApplicationProcess||Citizen||ServicePayment-UnfreezeLand",
            "path": "/e-service/real-estate/freezing-real-estate/freeze-second-payment-preview"
        },
        {
            "key": "RN4||RN4A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4A-ApplicationProcess||Applicant||ServicePayment-MortgageLand",
            "path": "/e-service/real-estate/register-mortgage/workitem-application-view"
        },
        {
            "key": "RN4||RN4A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4B-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4B-ApplicationProcess||Citizen||ServicePayment-MortgageLand",
            "path": "/e-service/real-estate/register-mortgage/workitem-application-view"
        },
        {
            "key": "RN4||RN4B-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4C-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4C-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/register-mortgage/workitem-resubmit-application-view"
        },
        {
            "key": "RN4||RN4C-ApplicationProcess||Applicant||ServicePayment-MortgageLand",
            "path": "/e-service/real-estate/register-mortgage/workitem-application-view"
        },
        {
            "key": "RN4||RN4A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/register-mortgage/owner-approve-reject"
        },		
		{
            "key": "RN4||RN4B-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/register-mortgage/owner-approve-reject"
        },
        {
            "key": "RN4||RN4C-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/register-mortgage/owner-approve-reject"
        },
        {
            "key": "RN4||RN4C-ApplicationProcess||MuscatROPRepresentative||ROPSecurityReview",
            "path": "/e-service/real-estate/rop-approval"
        },
        {
            "key": "RN5||RN5A-ApplicationProcess||MuscatROPRepresentative||ROPSecurityReview",
            "path": "/e-service/real-estate/rop-approval"
        },
        {
            "key": "RN5||RN5B-ApplicationProcess||MuscatROPRepresentative||ROPSecurityReview",
            "path": "/e-service/real-estate/rop-approval"
        },
        {
            "key": "RN6||RN6A-ApplicationProcess||MuscatROPRepresentative||ROPSecurityReview",
            "path": "/e-service/real-estate/rop-approval"
        },
        {
            "key": "RN5||RN5A-ApplicationProcess||Citizen||ServicePayment-TransferMortgage",
            "path": "/e-service/real-estate/transfer-mortgage/payment-preview"
        },
        {
            "key": "RN5||RN5A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/transfer-mortgage/re-submit"
        },
        {
            "key": "RN5||RN5A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/transfer-mortgage/re-submit"
        },
        {
            "key": "RN5||RN5A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/transfer-mortgage/owner-approve-reject"
        },
        {
            "key": "RN6||RN6A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/release-mortgage/re-submit"
        },
        {
            "key": "RN6||RN6A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/release-mortgage/re-submit"
        },
        {
            "key": "RN6||RN6A-ApplicationProcess||Citizen||ServicePayment-ReleaseMortgage",
            "path": "/e-service/real-estate/release-mortgage/payment-preview"
        },
        {
            "key": "RN6||RN6A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/release-mortgage/owner-approve-reject"
        },
        {
            "key": "RN8||RN8A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/testament/payment-preview"
        },
        {
            "key": "RN8||RN8A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/testament/payment-preview"
        },
        {
            "key": "RN8||RN8A-ApplicationProcess||Citizen||ServicePayment-RegisterTestament",
            "path": "/e-service/real-estate/testament/final-payment-preview"
        },
        {
            "key": "RN08||RN08A2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/testament/payment-preview"
        },
        {
            "key": "RN08||RN08A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/testament/payment-preview"
        },
        {
            "key": "RN08||RN08A2||Citizen||ServicePayment-RegisterTestament",
            "path": "/e-service/real-estate/testament/final-payment-preview"
        },
        {
            "key": "RN9||RN9A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn9/re-submit"
        },
        {
            "key": "RN9||RN9A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn9/re-submit"
        },
        {
            "key": "RN9||RN9A-ApplicationProcess||Citizen||ServicePayment-Endowment",
            "path": "/e-service/real-estate/rn9/payment-preview"
        },
        {
            "key": "RN9||RN9A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn9/owner-approve-reject"
        },
        {
            "key": "RN10||RN10A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-preview"
        },
        {
            "key": "RN10||RN10A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-preview"
        },
        {
            "key": "RN10||RN10A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-preview"
        },
        {
            "key": "RN10||RN10A2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-preview"
        },
        {
            "key": "RN10||RN10A1||Applicant||ServicePayment-Granting",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-wizard"
        },
        {
            "key": "RN10||RN10A2||Applicant||ServicePayment-Granting",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-wizard"
        },
        {
            "key": "RN10||RN10A1||Applicant||UpdateApplication_1",
            "path": "/e-service/real-estate/rn10/workitem/rn10-workitem-wizard"
        },
        {
            "key": "RN12||RN12A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/split/payment-preview"
        },
        {
            "key": "RN12||RN12A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/split/re-submit"
        },
        {
            "key": "RN12||RN12A1||Applicant||ServicePayment-Splitting",
            "path": "/e-service/real-estate/split/payment-preview"
        },
        {
            "key": "RN12||RN12A2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/split/payment-preview"
        },
        {
            "key": "RN12||RN12A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/split/re-submit"
        },
        {
            "key": "RN12||RN12A2||Applicant||ServicePayment-Splitting",
            "path": "/e-service/real-estate/split/payment-preview"
        },
        {
            "key": "RN07||RN07A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07A1||Applicant||ServicePayment-Inheritance",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B1||Applicant||ServicePayment-Inheritance",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B2||Applicant||ServicePayment-Inheritance",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B3||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B3||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN07||RN07B3||Applicant||ServicePayment-Inheritance",
            "path": "/e-service/real-estate/rn7/workitem/rn7-workitem-preview"
        },
        {
            "key": "RN14||RN14A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A1||Applicant||ServicePayment-Exchange",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-wizard"
        },
        {
            "key": "RN14||RN14A2||Applicant||ServicePayment-Exchange",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-wizard"
        },
        {
            "key": "RN14||RN14A1||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview"
        },
        {
            "key": "RN14||RN14A2||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview"
        },
        {
            "key": "LN03||LN03A2||Applicant||ServicePayment",
            "path": "/e-service/land/request-for-government-land/preview"
        },
        {
            "key": "LN03||LN03A1||Applicant||UpdateApplication",
            "path": "/e-service/land/request-for-government-land/preview"
        },
        {
            "key": "LN03||LN03A2||Applicant||UpdateApplication",
            "path": "/e-service/land/request-for-government-land/preview"
        },
        {
            "key": "LN04||LN04A1||Applicant||ServicePayment",
            "path": "/e-service/land/request-the-right-of-usufruct/preview"
        },
        {
            "key": "LN04||LN04A1||Applicant||UpdateApplication",
            "path": "/e-service/land/request-the-right-of-usufruct/preview"
        },
        {
            "key": "LN04||LN04A1||Applicant||ServicePayment-UsufructContract",
            "path": "/e-service/land/request-the-right-of-usufruct/preview"
        },
        {
            "key": "RN14||RN14A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A1||Applicant||ServicePayment-Exchange",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-wizard"
        },
        {
            "key": "RN14||RN14A2||Applicant||ServicePayment-Exchange",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-wizard"
        },
        {
            "key": "RN14||RN14A1||SecondPartyOwners||SecondPartyOwnersConfirmation",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "RN14||RN14A2||SecondPartyOwners||SecondPartyOwnersConfirmation",
            "path": "/e-service/real-estate/rn-14/workitem/rn14-workitem-preview-incomplete"
        },
        {
            "key": "LN04||LN04A1||GovernmentEntity||ApplicationReview",
            "path": "/e-service/land/government-authority/ln04-wizard"

        },
        {
            "key": "RN13||RN13A-ApplicationProcess||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn13-register-sale-contract/payment-preview"
        },
        {
            "key": "RN13||RN13A-ApplicationProcess||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn13-register-sale-contract/payment-preview"
        },
        {
            "key": "RN13||RN13A-ApplicationProcess||Applicant||ServicePayment-SellLand",
            "path": "/e-service/real-estate/rn13-register-sale-contract/final-payment-preview"
        },
        {
            "key": "RN13||RN13A-ApplicationProcess||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-13/REOwner-application-preview"
        },
        {
            "key": "RN13||RN13A-ApplicationProcess||Applicant||ApplicationCancellation",
            "path": "/e-service/real-estate/rn-13/REOwner-application-Rejection-preview"
        },
        {
            "key": "RN13||RN13B-ApplicationProcess||Applicant||ApplicationCancellation",
            "path": "/e-service/real-estate/rn-13/REOwner-application-Rejection-preview"
        },
        {
            "key": "RN13||RN13C-ApplicationProcess||Applicant||ApplicationCancellation",
            "path": "/e-service/real-estate/rn-13/REOwner-application-Rejection-preview"
        },
        {
            "key": "RN13||RN13B1||Citizen||UpdateApplication",
            "path": "/e-service/real-estate/rn13-register-sale-contract/payment-preview"
        },
        {
            "key": "RN13||RN13B1||Applicant||ServicePayment-SellLand",
            "path": "/e-service/real-estate/rn13-register-sale-contract/final-payment-preview"
        },
        {
            "key": "RN13||RN13B1||Citizen||ServicePayment",
            "path": "/e-service/real-estate/rn13-register-sale-contract/payment-preview"
        },
        {
            "key": "RN13||RN13B1||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-13/REOwner-application-preview"
        },
        {
            "key": "RN13||RN13C1||Citizen||ServicePayment",
            "path": "/e-service/real-estate/rn13-register-sale-contract/broker-payment-preview"
        },
        {
            "key": "RN13||RN13C1||Citizen||UpdateApplication",
            "path": "/e-service/real-estate/rn13-register-sale-contract/broker-payment-preview"
        },
        {
            "key": "RN13||RN13C1||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-13/REOwner-application-preview"
        },
        {
            "key": "RN13||RN13C1||Buyers||BuyersApproval",
            "path": "/e-service/real-estate/rn13-register-sale-contract/user-standard-contract-preview"
        },
        {
            "key": "RN13||RN13C1||Brokers||BrokersInitialContract",
            "path": "/e-service/real-estate/rn-13/broker-application-preview"
        },
        {
            "key": "RN13||RN13C1||Sellers||SellersInitialContract",
            "path": "/e-service/real-estate/REOwner-application-approve"
        },
        {
            "key": "RN13||RN13C1||Brokers||BrokersStandardContract",
            "path": "/e-service/real-estate/rn-13/broker-application-preview"
        },
        {
            "key": "RN13||RN13C2||REOwners||REOwnersApproval",
            "path": "/e-service/real-estate/rn-13/REOwner-application-preview"
        },
        {
            "key": "RN13||RN13C1||Brokers||BrokersApproval",
            "path": "/e-service/real-estate/rn-13/broker-application-preview"
        },
        {
            "key": "RN13||RN13C2||Brokers||BrokersApproval",
            "path": "/e-service/real-estate/rn-13/broker-application-preview"
        },
        {
            "key": "RN13||RN13C1||Applicant||FinalizeContract",
            "path": "/e-service/real-estate/rn13-register-sale-contract/user-standard-contract-preview"
        },
        {
            "key": "RN13||RN13C2||Citizen||FinalizeContract",
            "path": "/e-service/real-estate/rn-13/REOwner-broker-application-preview"
        },
        {
            "key": "RN13||RN13C2||Applicant||ServicePayment-SellLand",
            "path": "/e-service/real-estate/rn13-register-sale-contract/final-payment-preview"
        },
        {
            "key": "RN13||RN13C1||Applicant||ServicePayment-SellLand",
            "path": "/e-service/real-estate/rn13-register-sale-contract/final-payment-preview"
        },
        {
            "key": "RN13||RN13C1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn13-register-sale-contract/owner-payment-preview"
        },
        {
            "key": "RN13||RN13C2||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn13-register-sale-contract/owner-payment-preview"
        },
        {
            "key": "RN13||RN13C1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-13/REOwner-broker-application-preview"
        },
        {
            "key": "RN13||RN13C2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-13/REOwner-broker-application-preview"
        },
        {
            "key": "LN05||LN05A1||Applicant||ServicePayment",
            "path": "/e-service/land/request-renewal-usufruct/preview"
        },
        {
            "key": "LN05||LN05A1||Applicant||UpdateApplication",
            "path": "/e-service/land/request-renewal-usufruct/preview"
        },
        {
            "key": "LN05||LN05A1||Applicant||ServicePayment-RenewContract",
            "path": "/e-service/land/request-renewal-usufruct/preview"
        },
        {
            "key": "LN06||LN06A1||Applicant||ServicePayment",
            "path": "/e-service/land/usufruct-contract/workitem-application"
        },
        {
            "key": "LN06||LN06A1||Applicant||UpdateApplication",
            "path": "/e-service/land/usufruct-contract/workitem-application"
        },

        {
            "key": "RN16||RN16A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A1||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN16||RN16A1||Applicant||ServicePayment-TransferUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A2||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A2||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN16||RN16A2||Applicant||ServicePayment-TransferUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B1||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN16||RN16B1||Applicant||ServicePayment-TransferUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B2||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B2||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN16||RN16B2||Applicant||ServicePayment-TransferUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN16||RN16B1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A1||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN15||RN15A1||Applicant||ServicePayment-CreateUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A2||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15A2||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN15||RN15A2||Applicant||ServicePayment-CreateUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B1||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN15||RN15B1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B1||Applicant||ServicePayment-RenewUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B2||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B2||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN15||RN15B2||GovernmentEntity||ApplicationReview-GovernmentEntity",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/government-authority/wizard"
        },
        {
            "key": "RN15||RN15B2||Applicant||ServicePayment-RenewUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN17||RN17A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-17/usufruct-contract/workitem-application"
        },
        {
            "key": "RN17||RN17A1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN17||RN17A1||Applicant||ServicePayment-ReleaseUsufruct",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        {
            "key": "RN17||RN17A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-15/usufruct-contract/workitem-application"
        },
        //PSN---
        {
            "key": "PS07||PS07A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/request-dividing-buildings/workitem-application"
        },
        {
            "key": "PS07||PS07A1||Applicant||ServicePayment-DivideBuilding",
            "path": "/e-service/planning-survey/request-dividing-buildings/workitem-application"
        },
        {
            "key": "PS07||PS07A2||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/request-dividing-buildings/workitem-application"
        },
        {
            "key": "PS07||PS07A2||Applicant||ServicePayment-DivideBuilding",
            "path": "/e-service/planning-survey/request-dividing-buildings/workitem-application"
        },

        {
            "key": "PS04||PS04A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/removal-of-affected-land/workitem-application"
        },
        {
            "key": "PS04||PS04A1||Applicant||EffectRemoval",
            "path": "/e-service/planning-survey/removal-of-affected-land/edit-owner"
        },
        {
            "key": "PS04||PS04A1||Applicant||ServicePayment-AffectedLandRemoval",
            "path": "/e-service/planning-survey/removal-of-affected-land/workitem-application"
        },
        {
            "key": "PS04||PS04A1||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/removal-of-affected-land/workitem-application"
        },

        {
            "key": "PS05||PS05A1||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/compensation-for-affected-land/workitem-application"
        },
        {
            "key": "PS05||PS05A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/compensation-for-affected-land/workitem-application"
        },
        {
            "key": "PS05||PS05A1||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/compensation-for-affected-land/edit-owner"
        },
        {
            "key": "PS05||PS05A1||Applicant||ApplicationReviewP1-Applicant",
            "path": "/e-service/planning-survey/compensation-for-affected-land/workitem-application-compensation-wizard"
        },
        {
            "key": "PS05||PS05A1||Applicant||ApplicationReviewP2-Applicant",
            "path": "/e-service/planning-survey/compensation-for-affected-land/workitem-application-compensation-wizard"
        },
        {
            "key": "PS05||PS05A1||Applicant||ApplicationReviewP3-Applicant",
            "path": "/e-service/planning-survey/compensation-for-affected-land/workitem-application-compensation-wizard"
        },
        {
            "key": "PS08||PS08A1||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A1||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/verify-update-re/REOwner-application-preview"
        },
        {
            "key": "PS08||PS08A1||Applicant||ServicePayment-DividingBuildings",
            "path": "/e-service/planning-survey/verify-update-re/workitem-details"
        },
        {
            "key": "PS08||PS08A1||ConsultationDepartment||FieldConsultation",
            "path": "/e-service/planning-survey/verify-update-re/third-party-approval"
        },
        {
            "key": "PS08||PS08A2||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A2||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A2||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/verify-update-re/REOwner-application-preview"
        },
        {
            "key": "PS08||PS08A2||Applicant||ServicePayment-DividingBuildings",
            "path": "/e-service/planning-survey/verify-update-re/workitem-details"
        },
        {
            "key": "PS08||PS08A2||ConsultationDepartment||FieldConsultation",
            "path": "/e-service/planning-survey/verify-update-re/third-party-approval"
        },
        {
            "key": "PS08||PS08A3||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A3||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A3||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/verify-update-re/REOwner-application-preview"
        },
        {
            "key": "PS08||PS08A3||Applicant||ServicePayment-DividingBuildings",
            "path": "/e-service/planning-survey/verify-update-re/workitem-details"
        },
        {
            "key": "PS08||PS08A3||ConsultationDepartment||FieldConsultation",
            "path": "/e-service/planning-survey/verify-update-re/third-party-approval"
        },
        {
            "key": "PS08||PS08A4||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A4||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/verify-update-re/workitem-application"
        },
        {
            "key": "PS08||PS08A4||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/verify-update-re/REOwner-application-preview"
        },
        {
            "key": "PS08||PS08A4||Applicant||ServicePayment-DividingBuildings",
            "path": "/e-service/planning-survey/verify-update-re/workitem-details"
        },
        {
            "key": "PS08||PS08A4||ConsultationDepartment||FieldConsultation",
            "path": "/e-service/planning-survey/verify-update-re/third-party-approval"
        },
        //---PSN
        {
            "key": "RN18||RN18A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18A1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18A1||Applicant||ServicePayment-RegisterFinalJudgement",
            "path": "/e-service/real-estate/register-final-judgement/final-payment-preview"
        },
        {
            "key": "RN18||RN18B1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18B1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18B1||Applicant||ServicePayment-RegisterFinalJudgement",
            "path": "/e-service/real-estate/register-final-judgement/final-payment-preview"
        },
        {
            "key": "RN18||RN18C1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18C1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18C1||Applicant||ServicePayment-RegisterFinalJudgement",
            "path": "/e-service/real-estate/register-final-judgement/final-payment-preview"
        },
        {
            "key": "RN18||RN18D1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18D1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18D1||Applicant||ServicePayment-RegisterFinalJudgement",
            "path": "/e-service/real-estate/register-final-judgement/final-payment-preview"
        },
        {
            "key": "RN18||RN18E1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18E1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-final-judgement/workitem-application"
        },
        {
            "key": "RN18||RN18E1||Applicant||ServicePayment-RegisterFinalJudgement",
            "path": "/e-service/real-estate/register-final-judgement/final-payment-preview"
        },
        {
            "key": "RN11||RN11A1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-11/review-ownership/workitem-details"
        },
        {
            "key": "RN11||RN11B1||Applicant||UpdateApplication",
            "path": "/e-service/real-estate/rn-11/review-ownership/workitem-details"
        },
        {
            "key": "RN11||RN11A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-11/review-ownership/workitem-details"
        },
        {
            "key": "RN11||RN11B1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/rn-11/review-ownership/workitem-details"
        },
        {
            "key": "RN22||RN22A1||REOwners||REOwnersConfirmation",
            "path": "/e-service/real-estate/register-sale-contract-buisniess/workitem-application"
        },
        {
            "key": "RN22||RN22A1||Applicant||ServicePayment-SellLand",
            "path": "/e-service/real-estate/register-sale-contract-buisniess/re-submit"
        },
        {
            "key": "RN22||RN22A1||Applicant||ServicePayment",
            "path": "/e-service/real-estate/register-sale-contract-buisniess/re-submit"
        },
        {
            "key": "PS06||PS06A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/planning-appropriation/workitem-details"
        },
        {
            "key": "PS06||PS06A1||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/planning-appropriation/workitem-details"
        },
        {
            "key": "PS06||PS06A1||REOwners||REOwnersApproval",
            "path": "/e-service/planning-survey/planning-appropriation/REOwner-application-preview"
        },
        {
            "key": "PS06||PS06A1||Applicant||ServicePayment-Appropriation",
            "path": "/e-service/planning-survey/planning-appropriation/workitem-details"
        },
        {
            "key": "PS03||PS03A1||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key": "PS03||PS03A1||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key": "PS03||PS03A1||REOwners||REOwnersApproval",
            "path":"/e-service/planning-survey/change-of-land-use/REOwner-application-preview"
        },
        {
            "key": "PS03||PS03A1||Applicant||ServicePayment-ChangeOfLandUsage",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key":"PS03||PS03A1||Applicant||NeighbourApproval",
            "path":"/e-service/planning-survey/change-of-land-use/neighbour-approval"
        },
        {
            "key": "PS03||PS03A2||Applicant||UpdateApplication",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key": "PS03||PS03A2||Applicant||ServicePayment",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key": "PS03||PS03A2||REOwners||REOwnersApproval",
            "path":"/e-service/planning-survey/change-of-land-use/REOwner-application-preview"
        },
        {
            "key": "PS03||PS03A2||Applicant||ServicePayment-ChangeOfLandUsage",
            "path": "/e-service/planning-survey/change-of-land-use/workitem-details"
        },
        {
            "key":"PS03||PS03A2||Applicant||NeighbourApproval",
            "path":"/e-service/planning-survey/change-of-land-use/neighbour-approval"
        },
        {
            "key":"PS03||PS03A1||ConsultationDepartment||FieldConsultation",
            "path":"/e-service/planning-survey/change-of-land-use/third-party-approval"
        },
        {
            "key":"PS03||PS03A2||ConsultationDepartment||FieldConsultation",
            "path":"/e-service/planning-survey/change-of-land-use/third-party-approval"
        },
        {
            "key":"PS06||PS06A1||ConsultationDepartment||FieldConsultation",
            "path":"/e-service/planning-survey/planning-appropriation/third-party-approval"
        },
        {
            "key":"PS14||PS14A1||AgricultureMinistryRepresentative||ApplicationReview",
            "path":"/e-service/planning-survey/agriculture/government-approval"
        },
        {
            "key":"PS14||PS14A1||Applicant||ServicePayment",
            "path":"/e-service/planning-survey/agriculture/workitem-details"
        },
        {
            "key":"PS14||PS14A1||Applicant||UpdateApplication",
            "path":"/e-service/planning-survey/agriculture/workitem-details"
        },
        {
            "key":"PS14||PS14A1||REOwners||REOwnersApproval",
            "path":"/e-service/planning-survey/agriculture/REOwner-application-preview"
        },
        {
            "key": "PS12||PS12A1||Applicant||ApplicationSaved",
            "path": "/e-service/planning-survey/detailed-survey/workitem-details"
        },
        {
            "key": "PS12||PS12A1||REOwners||REOwnersApproval",
            "path":"/e-service/planning-survey/detailed-survey/REOwner-application-preview"
        },
        {
            "key":"PS12||PS12A1||ConsultationDepartment||FieldConsultation",
            "path":"/e-service/planning-survey/detailed-survey/third-party-approval"
        },
        {
            "key":"PS12||PS12A1||Applicant||ApplicationFinalReview",
            "path":"/e-service/planning-survey/detailed-survey/final-preview"
        }
    ]
}

export default WorkItem_Config;